%define rname rmail
%define oname rubymail
%define name  ruby-%{rname}

%define version 1.0.0
%define release %mkrel 5

Summary: An Email/MIME library for Ruby
Name: %name
Version: %version
Release: %release
License: BSD-like
Group: Development/Ruby
URL: http://www.lickey.com/rubymail/
Source0: http://www.lickey.com/rubymail/download/%{rname}-%{version}.tgz
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildArch: noarch
BuildRequires: ruby 
Requires: ruby
Provides: %{oname}

%description
This is RubyMail, a lightweight mail library containing various mail utility
classes and modules.

Very high attention is paid to quality and robustness. This package has a
complete unit test suite (requires RubyUnit to run).

%prep
%setup -q -n %{rname}-%{version}

%build
ruby install.rb config
ruby install.rb setup
ruby test/runtests.rb

%clean
rm -rf %buildroot

%install
rm -rf %buildroot
ruby install.rb install --prefix=%buildroot

%files
%defattr(-,root,root)
%{ruby_sitelibdir}/%{rname}*
%doc NEWS NOTES README THANKS TODO guide/



%changelog
* Tue Sep 08 2009 Thierry Vignaud <tvignaud@mandriva.com> 1.0.0-5mdv2010.0
+ Revision: 433548
- rebuild

* Sat Aug 02 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.0.0-4mdv2009.0
+ Revision: 260433
- rebuild

* Mon Jul 28 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.0.0-3mdv2009.0
+ Revision: 251753
- rebuild

* Mon Jan 14 2008 Alexander Kurtakov <akurtakov@mandriva.org> 1.0.0-1mdv2008.1
+ Revision: 151802
- new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Apr 22 2007 Pascal Terjan <pterjan@mandriva.org> 0.17-2mdv2008.0
+ Revision: 16775
- Use mkrel
- Use Development/Ruby group
- Use std macros


* Wed May 11 2005 Pascal Terjan <pterjan@mandriva.org> 0.17-1mdk
- first release

